net.minecraftforge.event.terraingen

## Class ChunkProviderEvent.ReplaceBiomeBlocks

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.terraingen.ChunkProviderEvent
    - - net.minecraftforge.event.terraingen.ChunkProviderEvent.ReplaceBiomeBlocks

- Enclosing class:
    ChunkProviderEvent

      public static class ChunkProviderEvent.ReplaceBiomeBlocks
      extends ChunkProviderEvent

  This event is fired when a chunks blocks are replaced by a biomes top and filler blocks. You can set the result to DENY to prevent the default replacement.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent

      `ChunkProviderEvent.InitNoiseField, ChunkProviderEvent.ReplaceBiomeBlocks`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BiomeGenBase[]` | `biomeArray`
    `Block[]` | `blockArray`
    `int` | `chunkX`
    `int` | `chunkZ`
    `byte[]` | `metaArray`

    - ### Fields inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent

      `chunkProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkProviderEvent.ReplaceBiomeBlocks(IChunkProvider chunkProvider, int chunkX, int chunkZ, Block[] blockArray, BiomeGenBase[] biomeArray)`
    `ChunkProviderEvent.ReplaceBiomeBlocks(IChunkProvider chunkProvider, int chunkX, int chunkZ, Block[] blockArray, byte[] metaArray, BiomeGenBase[] biomeArray)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### chunkX

          public final int chunkX

    - #### chunkZ

          public final int chunkZ

    - #### blockArray

          public final Block[] blockArray

    - #### metaArray

          public final byte[] metaArray

    - #### biomeArray

          public final BiomeGenBase[] biomeArray

  - ### Constructor Detail

    - #### ChunkProviderEvent.ReplaceBiomeBlocks

          public ChunkProviderEvent.ReplaceBiomeBlocks(IChunkProvider chunkProvider,
                                               int chunkX,
                                               int chunkZ,
                                               Block[] blockArray,
                                               BiomeGenBase[] biomeArray)

    - #### ChunkProviderEvent.ReplaceBiomeBlocks

          public ChunkProviderEvent.ReplaceBiomeBlocks(IChunkProvider chunkProvider,
                                               int chunkX,
                                               int chunkZ,
                                               Block[] blockArray,
                                               byte[] metaArray,
                                               BiomeGenBase[] biomeArray)